
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript实现Fly Bird小游戏_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript实现Fly Bird小游戏_javascript技巧 本教程为大家分享了Fly Bird小游戏的制作流程,供大家参考,具体内容如下 1.分析页面结构,理清需求和功能 游戏有三个界面,分别是开始界面,游戏界面和游戏结束界面. 1.1 开始界面 start.gif 游戏的大背景 上下移动的游戏标题和翅膀摆动的小鸟 start 按钮,点击进入游戏界面 一直移动的地面 1.2 游戏界面 play.gif 显示越过障碍数量的计分器 移动的障碍物,分别是上管道和下管道 点击游戏界面,小鸟向上飞起,然后在重力作用下下坠, 当小鸟和管道碰撞后,结束界面弹出,同时小">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript实现Fly Bird小游戏_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本教程为大家分享了Fly Bird小游戏的制作流程，供大家参考，具体内容如下</p>
<p><strong>1.分析页面结构，理清需求和功能</strong></p>
<p>游戏有三个界面，分别是开始界面，游戏界面和游戏结束界面。</p>
<p><strong>1.1 开始界面</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMTgyNzQ1Mi5naWY=.jpg"></p>
<p>start.gif</p>
<p>游戏的大背景<br />
上下移动的游戏标题和翅膀摆动的小鸟<br />
start 按钮，点击进入游戏界面<br />
一直移动的地面</p>
<p><strong>1.2 游戏界面</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMTkzNTk3My5naWY=.jpg"></p>
<p>play.gif</p>
<p>显示越过障碍数量的计分器<br />
移动的障碍物，分别是上管道和下管道<br />
点击游戏界面，小鸟向上飞起，然后在重力作用下下坠，<br />
当小鸟和管道碰撞后，结束界面弹出，同时小鸟落到地面</p>
<p><strong>1.3 结束界面<br /></strong></p>
<p>GAMEOVER 提示面板<br />
OK 按钮</p>
<p><strong>2. 开发“开始界面”<br /></strong></p>
<p>考虑到草地的移动效果，我们在页面中加入两个草地</p>
<p><strong>2.1 HTML<br /></strong></p>
<pre>
&lt;!DOCTYPE html&gt;
&lt;html&gt;
 &lt;head&gt;
  &lt;meta charset="utf-8" /&gt;
  &lt;title&gt;Fly Bird&lt;/title&gt;
  &lt;link rel="stylesheet" type="text/css" href="css/index.css"/&gt;
 &lt;/head&gt;
 &lt;body&gt;
  &lt;div id="wrapBg"&gt; &lt;!--游戏背景--&gt;
   &lt;div id="headTitle"&gt; &lt;!--开始标题--&gt;
    &lt;img id="headBird" src="img/bird0.png" alt="小鸟" /&gt; &lt;!--标题中的小鸟--&gt;
   &lt;/div&gt;
   &lt;button id="startBtn" &gt;&lt;/button&gt; &lt;!--开始按钮--&gt;
   &lt;div id="grassLand1"&gt;&lt;/div&gt; &lt;!--草地1--&gt;
   &lt;div id="grassLand2"&gt;&lt;/div&gt; &lt;!--草地2--&gt;
  &lt;/div&gt;
 &lt;/body&gt;
&lt;/html&gt;
</pre>
<p><strong>2.2 CSS<br /></strong></p>
<pre>
#wrapBg{/*游戏背景*/
 width: 343px;height: 480px;
 margin: 0 auto;
 background-image:url(../img/bg.jpg);
 position: relative;
 top: 100px;
 overflow: hidden;
}
#headTitle{/*开始标题*/
 width: 236px;height: 77px;
 background-image: url(../img/head.jpg);
 position: absolute; left: 53px; top: 100px;
}
#headBird{/*开始标题中的小鸟*/
 float:right;
 margin-top: 25px;
}
#startBtn{/*开始按钮*/
 width: 85px;height: 29px;
 padding: 0;margin: 0;
 background-image: url(../img/start.jpg);
 position: absolute;left: 129px;top: 250px;
}
#grassLand1{/*草地1*/
 height: 14px;width: 343px;
 background-image: url(../img/banner.jpg);
 position: absolute;top: 423px;
}
#grassLand2{/*草地2*/
 height: 14px;width: 343px;
 background-image: url(../img/banner.jpg);
 position: absolute;top: 423px;left: 343px;
}
</pre>
<p>将wrapBg中的overflow:hidden 注释掉的页面效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMjExNjE3MS5qcGc=.jpg"></p>
<p>开始界面.jpg</p>
<p><strong>2.3 JS<br /></strong></p>
<p>小鸟煽动翅膀的效果需要用到逐帧动画的原理<br />
逐帧动画是一种常见的动画形式（Frame By Frame），其原理是在“连续的关键帧”中分解动画动作，也就是在时间轴的每帧上逐帧绘制不同的内容，使其连续播放而成动画。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMjE1MzEzMC5qcGc=.jpg"></p>
<p>2.3.1 开始标题的摆动</p>
<pre>
 var jsHeadTitle = document.getElementById("headTitle");// 获取标题
  var jsHeadBird = document.getElementById("headBird"); // 获取标题中小鸟

  var Y = 3;//标题的摆动幅度
  var index = 0;
  var imgArr = ["img/bird0.png","img/bird1.png"]
  //将小鸟图片路径放入一个数组，利用逐帧动画的原理做出小鸟翅膀摆动的样子
  var headWaveTimer = setInterval(headWave,200); //设置标题上下摆动的定时器
  function headWave() {
   Y *= -1;
   jsHeadTitle.style.top = jsHeadTitle.offsetTop + Y + "px";
   jsHeadBird.src = imgArr[index++];
   if (index == 2) {
    index = 0;
   }
  }
</pre>
<p>2.3.2 移动的草地</p>
<pre>
  var jsGrassLand1 = document.getElementById("grassLand1"); //获取草地1
  var jsGrassLand2 = document.getElementById("grassLand2"); //获取草地2

  var landTimer = setInterval(landRun,30); //让草地动起来的定时器
  function landRun() {
   if (jsGrassLand1.offsetLeft &lt;= -343) {
    jsGrassLand1.style.left = "343px";
   }
   if (jsGrassLand2.offsetLeft &lt;= -343) {
    jsGrassLand2.style.left = "343px";
   }
   jsGrassLand1.style.left = jsGrassLand1.offsetLeft - 3 + "px";
   jsGrassLand2.style.left = jsGrassLand2.offsetLeft - 3 + "px";
  }
</pre>
<p>2.3.3 Start按键</p>
<pre>
  var jsStartBtn = document.getElementById("startBtn");
  jsStartBtn.onclick = function() { //为start按键添加点击事件处理程序
   jsHeadTitle.style.display = "none"; //隐藏标题
   clearInterval(headWaveTimer); //关闭让标题摆动的定时器
   jsStartBtn.style.display = "none"; //隐藏按键
   //待添加功能
   //点击开始按键进入游戏界面
  }
</pre>
<p>完成后的效果（注释掉了wrapBg中的overflow:hidden ）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMjI1ODE2OC5naWY=.jpg"></p>
<p>start01.gif</p>
<p>接下来我们开发“游戏界面”<br /><strong>3. “游戏界面”的开发<br /></strong>游戏界面中有三样元素，分别是“小鸟”，“障碍”，和“计分器”，我们依次来创建相应的对象。<br /><strong>3.1 小鸟<br /></strong>首先，创建小鸟的对象， bird.js 文件。</p>
<pre>
var bird = {
 flyTimer:null,//小鸟飞翔定时器
 wingTimer:null,//小鸟翅膀摆动定时器

 div:document.createElement("div"),
 showBird:function(parentObj) {
  this.div.style.width = "40px";
  this.div.style.height = "28px";
  this.div.style.backgroundImage = "url(img/bird0.png)";
  this.div.style.backgroundRepeat = "no-repeat";
  this.div.style.position = "absolute";
  this.div.style.left = "50px";
  this.div.style.top = "200px";
  this.div.style.zIndex = "1";

  parentObj.appendChild(this.div); //将小鸟DIV插入游戏界面中
 },

 fallSpeed: 0, //小鸟下落速度
 flyBird: function(){ //控制小鸟飞翔下落的函数
  bird.flyTimer = setInterval(fly,40);
  function fly() {
   bird.div.style.top = bird.div.offsetTop + bird.fallSpeed++ + "px";
   if (bird.div.offsetTop &lt; 0) {
    bird.fallSpeed = 2; //这里用于控制小鸟不要飞出界面
   }
   if (bird.div.offsetTop &gt;= 395) {
    bird.fallSpeed = 0;
    clearInterval(bird.flyTimer); //一旦飞到地面，清除定时器
    clearInterval(bird.wingTimer); //清除翅膀摆动定时器
   }
   if (bird.fallSpeed &gt; 12) {
    bird.fallSpeed = 12; //鸟的最大下落速度控制在12
   }
  }
 },

 wingWave: function() { //控制小鸟煽动翅膀的函数
  var up = ["url(img/up_bird0.png)", "url(img/up_bird1.png)"];
  var down = ["url(img/down_bird0.png)", "url(img/down_bird1.png)"];
  var i = 0, j = 0;
  bird.wingTimer = setInterval(wing,120);//逐帧动画，小鸟煽动翅膀
  function wing() {
   if (bird.fallSpeed &gt; 0) {
    bird.div.style.backgroundImage = down[i++];
    if (i==2) {i = 0}
   }if (bird.fallSpeed &lt; 0) {
    bird.div.style.backgroundImage = up[j++];
    if (j==2) {j = 0}
   }
  }
 },
};
</pre>
<p>下面，实现点击start按钮时，加载小鸟。(在之前的代码基础上添加)</p>
<pre>
jsStartBtn.onclick = function() { //为start按键添加点击事件处理程序
 jsHeadTitle.style.display = "none"; //隐藏标题
 clearInterval(headWaveTimer); //关闭让标题摆动的定时器
 jsStartBtn.style.display = "none"; //隐藏按键
 bird.showBird(jsWrapBg); //插入小鸟到界面中
 bird.flyBird(); //控制小鸟飞翔下落
 bird.wingWave(); //逐帧动画，小鸟煽动翅膀
 jsWrapBg.onclick = function(){
  bird.fallSpeed = -8;
 };
 //待添加功能
 //点击开始按键进入游戏界面
}</pre>
<p>添加小鸟后的效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMjQyNDgyOC5naWY=.jpg"></p>
<p>play01.gif</p>
<p><strong>3.2 障碍（上方水管和下方水管）</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMzE1NzQxOS5qcGc=.jpg"></p>
<p>block示意图.png</p>
<p>障碍分为上方管道和下方管道，如示意图所示结构嵌套，这样就可以通过随机设置DownDiv2的高度和gapHeight的高度，来改变生成障碍的形态<br />
block.js</p>
<pre>
function Block() {
 this.upDivWrap = null;
 this.downDivWrap = null;
 this.downHeight = baseObj.randomNum(0,150);
 this.gapHeight = baseObj.randomNum(150,160);
 this.upHeight = 312 - this.downHeight - this.gapHeight;

 // 用来生成Div的方法
 this.createDiv = function(url, height, positionType, left, top) {
  var newDiv = document.createElement("div");
  newDiv.style.width = "62px";
  newDiv.style.height = height;
  newDiv.style.position = positionType;
  newDiv.style.left = left;
  newDiv.style.top = top;
  newDiv.style.backgroundImage = url; //"url(/img/0.jpg)"
  return newDiv;
 };

 this.createBlock = function() {
  var upDiv1 = this.createDiv("url(img/up_mod.png)", this.upHeight + "px");
  var upDiv2 = this.createDiv("url(img/up_pipe.png)", "60px");
  this.upDivWrap = this.createDiv(null, null, "absolute", "450px");
  this.upDivWrap.appendChild(upDiv1);
  this.upDivWrap.appendChild(upDiv2);//生成上方管道

  var downDiv1 = this.createDiv("url(img/down_pipe.png)", "60px");
  var downDiv2 = this.createDiv("url(img/down_mod.png)", this.downHeight +"px");
  this.downDivWrap = this.createDiv(null, null, "absolute", "450px", 363 - this.downHeight + "px");
  this.downDivWrap.appendChild(downDiv1);
  this.downDivWrap.appendChild(downDiv2); //生成下方的管道

  jsWrapBg.appendChild(this.upDivWrap);
  jsWrapBg.appendChild(this.downDivWrap);
 };

 this.moveBlock = function() { //控制管道移动的方法
  this.upDivWrap.style.left = this.upDivWrap.offsetLeft - 3 + "px";
  this.downDivWrap.style.left = this.downDivWrap.offsetLeft - 3 + "px";
 };
}
</pre>
<p>公共对象文件 baseObj.js ，用来提供随机数，和两个矩形div的碰撞检测</p>
<pre>
var baseObj = {
 //随机数
 randomNum: function(min, max) {
  return parseInt(Math.random() * (max - min + 1) + min);
 },

 //两个矩形元素之间的碰撞检测
 rectangleCrashExamine: function (obj1, obj2) {
   var obj1Left = obj1.offsetLeft;
   var obj1Width = obj1.offsetLeft + obj1.offsetWidth;
   var obj1Top = obj1.offsetTop;
   var obj1Height = obj1.offsetTop + obj1.offsetHeight;

   var obj2Left = obj2.offsetLeft;
   var obj2Width = obj2.offsetLeft + obj2.offsetWidth;
   var obj2Top = obj2.offsetTop;
   var obj2Height = obj2.offsetTop + obj2.offsetHeight;

   if (!(obj1Left &gt; obj2Width || obj1Width &lt; obj2Left || obj1Top &gt; obj2Height || obj1Height &lt; obj2Top)) {
    return true;
   }
   return false;
 },
};
</pre>
<p>下面我的想法是在start按钮点击的时候创建一个block，把这个block存储到数组 blocksArr 中，在 landTimer 定时器的方法 landRun 中检查此数组的长度，如果数组不为空数组，那么就让数组中所有的block移动。<br />
检查最后一个block离开的距离，达到一定距离，就重新new 一个block，添加到数组。<br />
检查第一个block，一旦达到一定位置，就在结构中移除downDivWrap 和 upDivWrap，同时在数组中删除。</p>
<pre>
  var landTimer = setInterval(landRun,30); //让草地动起来的定时器
  function landRun() {
   if (jsGrassLand1.offsetLeft &lt;= -343) {
    jsGrassLand1.style.left = "343px";
   }
   if (jsGrassLand2.offsetLeft &lt;= -343) {
    jsGrassLand2.style.left = "343px";
   }
   jsGrassLand1.style.left = jsGrassLand1.offsetLeft - 3 + "px";
   jsGrassLand2.style.left = jsGrassLand2.offsetLeft - 3 + "px";

   if (blocksArr.length) {
    for (var i = 0; i &lt; blocksArr.length; i++) {
     blocksArr[i].moveBlock();
     var x =baseObj.rectangleCrashExamine(blocksArr[i].downDivWrap, bird.div);
     var y = baseObj.rectangleCrashExamine(blocksArr[i].upDivWrap, bird.div);
     var z = bird.div.offsetTop &gt;= 390;
     if (x || y || z) {
      window.clearInterval(landTimer);//清除landTimer定时器
      bird.fallSpeed = 0; //小鸟下落
      jsWrapBg.onclick = null; //消除点击事件

     }
    }
    if (blocksArr[blocksArr.length - 1].downDivWrap.offsetLeft &lt; (450 - blockDistance)) {
      blockDistance = baseObj.randomNum(130,250);
      var newBlock = new Block();
      newBlock.createBlock();
      blocksArr.push(newBlock);
    }

    if (blocksArr[0].downDivWrap.offsetLeft &lt; -50) {
      jsWrapBg.removeChild(blocksArr[0].downDivWrap);
      jsWrapBg.removeChild(blocksArr[0].upDivWrap);
      blocksArr.shift(blocksArr[0]);
    }
   }
  }
</pre>
<p>当前的游戏效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIxNTEwMzMwODg2Ny5naWY=.jpg"></p>
<p>play02.gif</p>
<p><strong>3.3 计分器<br /></strong></p>
<p>游戏中的计分器相对较好实现    </p>
<pre>
  &lt;div id="score"&gt;
    &lt;div id="num1"&gt;&lt;/div&gt;
    &lt;div id="num2"&gt;&lt;/div&gt;
    &lt;div id="num3"&gt;&lt;/div&gt;
   &lt;/div&gt;
  var jsScore = document.getElementById("score");
  var jsNum1 = document.getElementById("num1");
  var jsNum2 = document.getElementById("num2");
  var jsNum3 = document.getElementById("num3");
  var score = 0;
</pre>
<p>今天先这样了，改天再写。哈哈</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索js<br />
                    ，                小游戏<br />
                    ，                Fly<br />
                                    Bird<br />
                                    fly like a bird、fly bird、flybird.me、flybird、fly bird下载，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:51:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b0%8f%e6%b8%b8%e6%88%8f/" title="小游戏">小游戏</a>, <a href="https://www.iamivan.net/tag/bird/" title="Bird">Bird</a>, <a href="https://www.iamivan.net/tag/fly/" title="Fly">Fly</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript实现Fly Bird小游戏_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg32q6M.html" rel="bookmark">JavaScript制作颜色反转小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				游戏规则: 单击方块,被单击的方块及相邻方块变色,当所有蓝色方块变为橙色时,完成任务,进入下一级. &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;!-- Always force latest IE rendering engine (even in intranet) &amp; Chrome Frame Remove this			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK8aE5M.html" rel="bookmark">使用Javascript写的2048小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近心血来潮,项目结束了,使用javascript写个小游戏,练练收吧,写的不好还请各位大侠给出批评建议. HTML代码如下 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;&lt;/title&gt; &lt;meta charset=&quot;utf-8&quot; /&gt; &lt;link rel=&quot;stylesheet&quot; href=&quot;2048.css&quot;/&gt; &lt;scri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q6JBp.html" rel="bookmark">打豆豆小游戏 用javascript编写的&lbrack;打豆豆&rsqb;小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				闲来无事,花了两天时间,用javascript 写了一个打豆豆的游戏,至于怎么玩的就不细说了,到网上搜一下就知道了,很简单. 下面是源码,发布出来供大家学习交流. 由于本程序没有用到一个图片,所以界面在ie下豆豆都是方形的比较扎眼,建议用chrome浏览器运行,或者firefox 演示地址:http://www.imkoko.com/app/dadoudou.php 不多说,上代码 复制代码 代码如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYlroM.html" rel="bookmark">纯JavaScript 实现flappy bird小游戏实例代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: &lt;flappy bird&gt;是一款由来自越南的独立游戏开发者Dong Nguyen所开发的作品,游戏于2013年5月24日上线,并在2014年2月突然暴红.2014年2月,&lt;Flappy Bird&gt;被开发者本人从苹果及谷歌应用商店撤下.2014年8月份正式回归APP STORE,正式加入Flappy迷们期待已久的多人对战模式.游戏中玩家必须控制一只小鸟,跨越由各种不同长度水管所组成的障碍. 正文: 接下来就是一步一步来实现它 步骤1:页面布局,这儿就不多说了,页面内容如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNQKxp.html" rel="bookmark">Javascript编写2048小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				去年2048很火, 本来我也没玩过, 同事说如果用JS写2048 只要100多行代码: 今天试了一下, 逻辑也不复杂, 主要是数据构造函数上的数据的各种操作, 然后通过重新渲染DOM实现界面的更新, 整体不复杂, JS,css,和HTML合起来就300多行: 界面的生成使用了underscore.js的template方法, 使用了jQuery,主要是DOM的选择和操作以及动画效果,事件的绑定只做了PC端的兼容,只绑定了keydown事件: 把代码放到github-page上, 通过点击这里查看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk3kLp.html" rel="bookmark">基于javascript实现泡泡大冒险网页版小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了一个很有趣的网页版游戏,有点类似金山打字游戏的青蛙过河,供大家参考,具体内容如下 效果图: 实现思路: 益智类小游戏,主要练习打字能力,基于jq开发. 1.在输入框输入泡泡对应文字,点击enter提交 2.与泡泡文字相对提示分数 3.可以暂停操作 4.每次泡泡着地会减少血量,减少到0结束游戏 5.每过一段时间会加快泡泡下落速度 具体代码: &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGre0op.html" rel="bookmark">12个非常有创意的JavaScript小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里是12个非常有创意的JavaScript小游戏,希望在给我们带来趣味的同时也能更进一步地了解更深层次的JavaScript语言,原来它可以这样的. Browser Pong Twitch Browser Ball Crystal Galazy Video &amp; Picture Puzzle Apophis 2029 Bing-Bong Bomberman Bunny Hunt Real world racer JS Wars Berts Breakdown via:12 Amazing and			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemDnwz.html" rel="bookmark">JavaScript编写连连看小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				天天看到别人玩连连看, 表示没有认真玩过, 不就把两个一样的图片连接在一起么, 我自己写一个都可以呢. 使用Javascript写了一个, 托管到github, 在线DEMO地址查看:打开 最终的效果图: 写连连看之前要先考虑哪些呢? 1:如何判断两个元素可以连接呢, 刚刚开始的时候我也纳闷, 可以参考这里:打开: 2:模板引擎怎么选择呢, 我用了底线库的template,因为语法简单. 本来想用Handlebars,但是这个有点大啊, 而且底线库也提供很多常用工具方法( •̀ ω •́ )y:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlxx4qM.html" rel="bookmark">JavaScript制作windows经典扫雷小游戏&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码其实很简单,这里就不多废话了 &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Language&quot; content=&quot;zh-cn&quot;&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf-8&quot;&gt; &lt;title&gt;扫雷-JavaScript Mine Sweeper			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd7gdM.html" rel="bookmark" class="title">powerpoint取色器有什么用</a>
					<div>
						  ppt取色器简介 想要自己的幻灯片跟图片的颜色吻合那就要用到取色器这个功能了,但是取色器的运用也是有一定的技巧的.辛苦地尝试精确匹配形状和图片的颜色,配合 PowerPoint2013 演示文稿的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDQQvb.html" rel="bookmark" class="title">ASP程序性能测试报告</a>
					<div>
						程序|性能 纲要:ASP动态生成的内容以什么方式输出效率最高?最好用哪种方法提取数据库记录集?本文测试了近20个这类ASP开发中常见的问题,测试工具所显示的时间告诉我们:这些通常可以想当然的问题不仅值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMykjdz.html" rel="bookmark" class="title">ASP学习&colon;错误80004005信息处理方法</a>
					<div>
						1.错误信息(错误信息我不用翻译成中文了把,呵呵,大家谅解)  Microsoft OLE DB Provider for ODBC Drivers error '80004005'  [Micros ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkodyp.html" rel="bookmark" class="title">浅析中小企业网站SEO优化的具体步骤</a>
					<div>
						想做网络营销的企业网站都会被网站优化的方案所困扰,到底应该从何处入手,都应该做哪些内容,会不会遗漏很多内容,是自己公司安排专门人员去做还是找专业的seo公司去做,对于这些,对于大多数中小企业来说都是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj6N0b.html" rel="bookmark" class="title">微软Office密码设置</a>
					<div>
						前最常用的微软Office就是2003和最新的Office 2007,而其中的Word和Excel也是跟我们打交道最多的应用办公软件,无论我们是用来写日记还是记录工作数据,总有不希望让别人看的文件,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwW1qz.html" rel="bookmark" class="title">用QQ直播群发消息</a>
					<div>
						有时候要给QQ分组好友发同样的消息,一个个打开聊天窗口,逐个复制发送,十分麻烦.虽然可以通过QQ群甚至专门的QQ消息群发软件实现,不过用起来也挺麻烦的.如果你安装了QQ直播,就可以轻松完成消息群发.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kA7dz.html" rel="bookmark" class="title">Scala程序中的扩展类</a>
					<div>
						我们仍然需要能够创建新的元素对象.你已经看到了因为类Element是抽象的,所以&quot;new Element&quot; 不能被用来做这件事.因此,为了实例化一个元素,我们需要创建扩展了Elem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK2jEM.html" rel="bookmark" class="title">jquery自动切换tabs选项卡的具体实现</a>
					<div>
						 这篇文章主要介绍了jquery自动切换tabs选项卡的具体实现,有需要的朋友可以参考一下 本节内容: jquery实现自动切换选项卡.   代码:   代码如下: &lt;%@ page langu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P92qp.html" rel="bookmark" class="title">Spark独立模式</a>
					<div>
						Spark独立模式 Spark除了可以在Mesos和YARN集群上运行之外,还支持一种简单的独立部署模式.独立部署模式下,你既可以手工启动(手动运行master和workers),也可以利用我们提供的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQDY8z.html" rel="bookmark" class="title">Android UI组件----自定义ListView实现动态刷新</a>
					<div>
						[正文] 一.具体步骤: (1)在activiy_main.xml中加一个ListView控件:再添加一个item的模板activity_main_item.xml,加一个底部加载的视图activit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN3ZVz.html" rel="bookmark" class="title">【硬创邦】跟hoowa学做智能路由&lpar;十一&rpar;：实现网络存储与文件共享</a>
					<div>
						     本章将介绍使用Samba实现Windows网上邻居以及使用FTP两种方式进行文件共享,这样你就可以把经常使用和需要交换的文件存放于你的智能路由存储器里了. 文件共享和传输的协议有很多种,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My378Pz.html" rel="bookmark" class="title">CPI和PPI下半年有望正增长</a>
					<div>
						实习记者 刘慧杰 21世纪经济报道记者 肖明 6月9日,在摩根大通全球投资会举行的前一天,摩根大通董事总经理.中国证券市场主席李晶表示,将有10万亿美元规模的资金寻找投资中国的机会. &quot;他们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE3Pxz.html" rel="bookmark" class="title">关于extjs 打开慢的问题</a>
					<div>
						问题描述 我做的一个用extjs做的项目,ssh的.但是有的机子打开正常,但是性能差点的机子,打开就要非常的久.怎么解决呢? 解决方案 解决方案二:这是EXT的通病!很难有好的办法,除非是顶级的高手! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjj9yM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;马云概念&rdquo;引爆大数据概念股 智能物流涌现</a>
					<div>
						近期,&quot;马云概念股&quot;成为了市场热点.马云对高德软件的收购引发了对大数据概念的关注,A股相关公司短时间内涨幅巨大:随着马云&quot;大物流&quot;计划破题,物流概念股也引发了市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKqjab.html" rel="bookmark" class="title">谈谈iMessage应用商店：信息框里的小世界</a>
					<div>
						iOS 10系统发布于今年六月举办的WWDC大会上,它的一大改变是iMessage信息大幅改进. 实际上,除了那些炫酷的字体,更有深意的是苹果在其中加入的iMessage应用商店(iMessage A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWYm8z.html" rel="bookmark" class="title">请问怎么server端限制IM用户只能发消息给好友，不能发消息给非好友</a>
					<div>
						问题描述 解决方案 环信不是好友也可以消息,只要知道对方id就可以. 调用rest接口发送,只要有id就行解决方案二:options.setUseRoster(true);把这个设置设为true就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7LX3z.html" rel="bookmark" class="title">安恒信息RSA大会现场发布重磅云安全新品</a>
					<div>
						美国当地时间3月1日,中国网络与应用安全知名企业安恒信息在美国RSA 2016安全大会现场召开新品发布会,发布了全新云安全与大数据最新安全产品--&quot;玄武盾&quot;和&quot;飞天镜&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjBOwM.html" rel="bookmark" class="title">求助：关于BBS自动发贴回贴</a>
					<div>
						问题描述 比如百度.我的思路是先得到百度某个贴吧的HTML代码.然后得到里面的DOM元素.用C#给里面的元素赋值.再用C#代码模拟点击里面的submit(如果有的话).暂时不考虑验证码问题.不过我试了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Ookz.html" rel="bookmark" class="title">5G空口存疑 革新还是4G演进？</a>
					<div>
						目前,国际上5G相关的第一阶段工作已接近尾声,5G标准制定前的主体研究工作已基本完成,愿景与需求基本明确.3GPP(第三代合作伙伴计划)将于今年9月启动第一次5G技术研讨会,随后5G标准制定工作将正式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLnyVM.html" rel="bookmark" class="title">在线等ing-指针在二分法中如何使用</a>
					<div>
						问题描述 指针在二分法中如何使用 如何在二分法里面用指针和递归算法实现数字在数组中的查找和定位 解决方案 使用递归实现二分法查找 http://blog.csdn.net/wangyan9110/ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwDe3M.html" rel="bookmark" class="title">请解释一下：System&period;out&period;println&lpar;data&rpar;</a>
					<div>
						问题描述 println()不是静态方法,为啥能这样用?out.println(data)请各位详解一下:System.out.println(data),谢谢啦 解决方案 解决方案二:为毛要知道这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y8joz.html" rel="bookmark" class="title">《天堂秀》苏州首播陆毅韩智慧谱写跨国恋曲</a>
					<div>
						韩智慧和陆毅 泛舟湖中 陆毅牵手韩智慧 新浪娱乐讯 跨国之恋.天堂之恋唯美浪漫:身世之谜.国宝之谜扑朔迷离.在&lt;天堂秀&gt;这部大型都市偶像爱情悬疑剧中,陆毅携手韩国女星韩智慧,在素有&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg9O0M.html" rel="bookmark" class="title">RDLC报表不显示了</a>
					<div>
						问题描述 reportviewer没有吧RDLC报表显示出来,求问会是什么原因,数据绑定都没有问题. 解决方案 解决方案二:本地都是可以运行的,但是部署到服务器上就不行,可能是什么问题?解决方案三:换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQq5Yp.html" rel="bookmark" class="title">谷歌将于月底关闭Bump和Flock两款应用</a>
					<div>
						[TechWeb报道]据1月2日消息,谷歌在去年 秋天收购的数据分享应用公司Bump科技联合创始人兼CEO大卫-利布David Lieb当地时间周二在官方博客上宣布,公司旗下信息交换应用Bump以及信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYKANb.html" rel="bookmark" class="title">彩电股年前大涨是因为什么？</a>
					<div>
						摘要: 王珍 被看衰了一年的彩电企业,最近被资本市场重新宠幸.春节前,海信.TCL.创维等国内彩电龙头企业迎来了一波行情,股价大涨. 2015年,智能电视概念大热已经进入第三个年头. 王珍 被&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL73gM.html" rel="bookmark" class="title">Mailpin创建、分享网页的方式非常机智</a>
					<div>
						Mailpin创建.分享网页的方式非常机智,你只要用自己常用的邮箱向p@mailp.in这个帐号发一封邮件,它就会反馈一个URL把生成的网页返还给你,而且会对里面的附件--包括图片.视频信息自动嵌入, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYYBWb.html" rel="bookmark" class="title">php数组转换js数组操作及json&lowbar;encode的用法详解&lowbar;php实例</a>
					<div>
						对于php,个人感觉能够熟练操作数组和字符串,基本上已经是入门了,php本身有很多操作数组和字符串的函数,今天在做一个功能时,需要用Js动态的创建门店信息,这些信息是要从后台添加的,想来想去,通过ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0jxdz.html" rel="bookmark" class="title">Javascript类型系统之String字符串类型详解&lowbar;javascript技巧</a>
					<div>
						javascript没有表示单个字符的字符型,只有字符串String类型,字符型相当于仅包含一个字符的字符串 字符串String是javascript基本数据类型,同时javascript也支持Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEKjPp.html" rel="bookmark" class="title">电商论道：网络营销推广重在执行力和心态</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近,有好多网络推广的新人朋友加我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YYq8p.html" rel="bookmark" class="title">jQuery实现下拉框左右选择的简单实例&lowbar;jquery</a>
					<div>
						就是实现这个效果的,选中添加到右边,全部添加到右边,选中删除到左边,全部删除到左边. html部分: 复制代码 代码如下: &lt;body&gt;    &lt;div class=&quot;ce ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
